Subject: Re: netfilter6: ICMPv6 type 143 doesn't match

From: "David S. Miller" <[email-masked]>
Date: Thu, 5 May 2005 14:34:12 -0700

On Thu, 05 May 2005 22:20:05 +0200
Patrick McHardy <[email-masked]> wrote:

> Patrick McHardy wrote:
> > Yasuyuki Kozakai wrote:
> > 
> >>Well, the Multicast Listener Report seems that skb->data != skb->nh.ipv6h
> >>when interface is up. But IPv6 netfilter modules assumes that
> >>skb->data == skb->nh.ipv6h like IPv4 netfilter modules.
> >>
> >>folks, is this wrong or bad asumption ? If so, I'll fix this problem in
> >>many modules as follows.
> > 
> > 
> > Sorry for getting back to this so late, I must have missed it at the
> > time. Anyway, I think it would be safer to restore netfilters assumption
> > by doing something like this patch. If everyone is fine with it I'm
> > going to add it to my pending netfilter patches for 2.6.13.
> 
> The last patch left some unreachable code.

This looks OK with me, I hope it doesn't inadvertantly break anything.